## Bsoft program

# bproject

### Usage: bproject [options] input.img output.img

Projects a 3D map and calculating comparison statistics of the projections.
If the input is a 2D image, it is assumed to be projections.

### Actions:

-axis y | Project down a major axis (x, y, z or 0, 1, 2).
-kernel 6,2 | Reciprocal space projection: kernel size and power.
-rescale -0.1,5.2 | Rescale data to average and standard deviation (after -truncate).
-View 0.3,-0.5,0.8,33 | View to generate symmetry-related projections.
-Tilt -65,72,2.5,55 | Tilt series of projections with angle min, max, step and axis angle.
-side 15 | Generate side view projections within the given angle from the equator.
-compare 0.02,15 | Compare projections, with the given SNR imposed and shift limit (default off).
-random 24 | Generate a number of random projections.
-asu | Change to views to fit into the asymmetric unit.
-edgewidth 80 | Gaussian width of edge to background (default 0).

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-origin 10,-10,20 | Origin for rotation (voxels, default 0,0,0).
-sampling 2,3.5,1 | Sampling (angstrom/voxel, a single value sets all three).
-resolution 15.6,200 | High and low resolution limits (default 0,1e30).
-fill 127 | Fill value for resizing: average (default), background, or value.
-symmetry D6 | Symmetry: Point group identifier.
-angles 8,6 | Step sizes for theta and phi in the asymmetric unit, one value sets both.
-noinplanerotation | No in-plane rotations applied to projections (default applied).
-nonormalization | No normalization applied to projections (default applied).
-unitcell | 10,23,77,90,90,90 Unit cell parameters.

### Output:

-Plotviews plot.ps | Output postscript file with a plot of projection vectors.
-Matrix cc.dat | Projection comparison matrix.
-Map cc.map | Projection comparison matrix in an image.

Bsoft version 2.0.3-20180917 (64 bit)